/*
 * Class WEL_NIM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_150 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_150 [] = {0xFF01,1551,149,0xFFFF};
static const EIF_TYPE_INDEX egt_2_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_3_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_6_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_7_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_150 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_150 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_150 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_150 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_150 [] = {0xFF01,149,0xFFFF};


static const struct desc_info desc_150[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_150), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_150), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_150), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_150), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_150), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_150), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_150), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_150), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_150), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_150), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_150), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_150), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x012B /*149*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_150), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3844, 0xFFFFFFFF},
};
void Init150(void)
{
	IDSC(desc_150, 0, 149);
	IDSC(desc_150 + 1, 1, 149);
	IDSC(desc_150 + 32, 208, 149);
}


#ifdef __cplusplus
}
#endif
